# Load data

You’ve successfully connected your data source and now you can start loading data from it to display it or send it to your API or database. One of the most common operations you would do here is *loading a list of objects*. In order to do this, you have to create and execute a **Load Table** action.

## **To run a Load Table action:**

1. Click **Create Action** in the **Actions** tab.
2. Select the data source you need to load data from.
3. Depending on the data source selected, specify the necessary parameters.

{% hint style="info" %}
For example, select the necessary table or enter an API URL path. It will be added to the URL you’ve specified in the HTTP data source settings.
{% endhint %}

4. Next, click **Execute action**.\
   Your data will be displayed in the **Result** tab and errors (if any) will appear in the **Logs**.

{% embed url="<https://demo.arcade.software/HmWZNaDxf7zinPu99mWO?embed=&embed_desktop=inline&embed_mobile=tab&show_copy_link=true>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uibakery.io/build-from-scratch/getting-started/load-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
